Bug 1308334 - [performance regression] Concurrent sync of content repos time degrades with 6.1.7
[performance regression] Concurrent sync of content repos time degrades with ...
Status: NEW
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Performance (Show other bugs)
6.1.6
x86_64 Linux
unspecified Severity high (vote)
: Unspecified
: --
Assigned To: satellite6-bugs
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-14 06:04 EST by Pradeep Kumar Surisetty
Modified: 2017-02-15 02:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
repo sync timings (13.31 KB, image/png)
2016-02-14 06:04 EST, Pradeep Kumar Surisetty
no flags Details

  None (edit)
Description Pradeep Kumar Surisetty 2016-02-14 06:04:57 EST
Created attachment 1127016 [details]
repo sync timings

Description of problem:

setup local CDN repo and resync rhel5 x86_64, rhel 5 i386, rhel6 x86_64, rhel7 x86_64 repos. 

Run concurrent sync of all these repos from satelitte server ( 6.1.5, 6.1.6, 6.1.7). 

Concurrent sync time degrades in 6.1.7 compare to previous releases.  It degrades by 50% to 100% ( varies from repo to repo) 

Version-Release number of selected component (if applicable):

satellite release 6.1.7 


How reproducible:


Steps to Reproduce:
1.setup local CDN repo and resync rhel5 x86_64, rhel 5 i386, rhel6 x86_64, rhel7 x86_64 repos.
2.Run concurrent sync of all these repos from satelitte server ( 6.1.5, 6.1.6, 6.1.7).
3.   

Actual results:

concurrent sync time of repos degraded in 6.1.7 as shown in attachment

Expected results:

Concurrent sync time of repos shouldnt degrade from previous releases. 

Additional info:
Comment 1 Bryan Kearney 2016-07-26 15:04:57 EDT
Moving 6.2 bugs out to sat-backlog.

Note You need to log in before you can comment on or make changes to this bug.